## guile-2.2 2.2.2+2

=== debian/changelog ===
guile-2.2 (2.2.2+2-1) unstable; urgency=medium

  * Merge 2.2+2 to remove DFSG incompatible files.

  * Add missing debian/copyright entries.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 04 Aug 2017 11:12:41 -0500

guile-2.2 (2.2.2+1-1) unstable; urgency=medium

  * Merge upstream version 2.2.2.

  * Update debian/ for 2.2.

  * debian/rules: clean the prebuilt files.

  * debian/control: depend on libreadline-dev instead of
    libreadline6-dev.  Thanks to Helmut Grohne for reporting the issue.
    (cf. #857649)

  * Update lintian overrides for 2.2.

  * Do all cleaning in debian/rules, and update list.

  * Accommodate libguilereadline rename to guile-readline.

  * Adjust update-alternatives priority for 2.2.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 08 May 2017 18:26:46 -0500

guile-2.0 (2.0.13+1-4) unstable; urgency=medium

  * guile.postinst: remove old guile-2.0 alternative.  Thanks to Andreas
    Beckmann (again) for reporting the problem and providing the
    solution. (Closes: 834093)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 09 Dec 2016 17:02:42 -0600

guile-2.0 (2.0.13+1-3) unstable; urgency=medium

  * guile.postinst: always update alternatives.  Previously the postinst
    might not update the alternatives, producing orphaned entries.
    Thanks to Andreas Beckmann for reporting the problem.
    (Closes: 834093)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 07 Dec 2016 14:33:19 -0600

guile-2.0 (2.0.13+1-2) unstable; urgency=medium

  * Fix intermittent 00repl-server.test failures.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 05 Nov 2016 12:51:11 -0500

guile-2.0 (2.0.13+1-1) unstable; urgency=medium

  * Merge upstream version 2.0.13.
    Remove patches that are no longer needed:
      0002-Recognize-more-ARM-targets.patch
      0003-Recognize-m68k-s390x-and-sh4-as-compilation-targets.patch
      0004-Do-not-assume-that-64-bit-integers-will-be-64-bit-al.patch
      0005-VM-Use-register-a3-for-IP_REG-on-m68k.patch
      0006-build-Use-libtoolize-in-autogen.sh.patch
      0007-VM-ASM_MUL-for-ARM-Add-earlyclobber-constraint-to-th.patch
      0008-VM-Allow-the-C-compiler-to-choose-FP_REG-on-ARM.patch
      0009-web-Keep-the-default-size-for-the-client-s-in-kernel.patch
      0010-Fix-shrinking-of-contiguous-bytevectors-as-from-get-.patch
      0011-Fix-bit-count-bug.patch
      0012-Handle-p-in-format-warnings.patch
      0013-Document-prefix-option-in-use-module-clauses.patch
      0014-Fix-SCM_SMOB_OBJECT-_-_0_-_1_-_2_-_3_-LOC.patch
      0015-peval-Handle-optional-argument-inits-that-refer-to-p.patch
    (Closes: 840555 840556)

  * Update debian/copyright for 2.0.13

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 22 Oct 2016 16:21:42 -0500

guile-2.0 (2.0.11+1-12) unstable; urgency=medium

  * guile.prerm: correct alternative path in removal.  Specify the new
    lib/.../bin/guile path in the removal.  Thanks to Andreas Beckmann
    <anbe@debian.org> for reporting the problem.  (Closes: 834093)

  * Look for guile-procedures.txt in pkglibdir.  Add
    0016-Look-for-guile-procedures.txt-in-pkglibdir.patch to adjust
    guile to look for guile-procedures.txt in %guile-build-info's
    pkglibdir first since the content is not architecture independent.
    Thanks to Samuel Thibault <sthibault@debian.org> for reporting the
    problem.

  * Move guile-procedures.txt from share to lib.  (Closes: 816123)

  * Rename guile.1 to guile.2.0.1 during auto install.  Put the final
    path in place before dh_install ever runs (instead of renaming it in
    the install target(s)) so that debian/tmp doesn't change during
    install and dpkg-buildpackage -A actually works.  Thanks to Santiago
    Vila <sanvila@unex.es> for reporting the problem again.
    (Closes: 806042)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 14 Aug 2016 10:03:33 -0500

guile-2.0 (2.0.11+1-11) unstable; urgency=medium

  * Handle rpath via dh_auto_configure --disable-rpath.

  * debian/rules: get version via dpkg-parsechangelog -S.

  * debian/rules: remove unused buildpackage target.

  * Don't rename the info pages to guile-X.Y.info*.  Remove
    0001-Change-guile-to-guile-X.Y-for-info-pages.patch in preparation
    for handling the info pages via update-alternatives.

  * Remove obsolete debian/guile-libs.README

  * Compile with -O0 to fix GnuTLS test failures.  Apparently -O2 (the
    dpkg-buildflags default) causes failures in the GnuTLS test suite.
    So until the underlying problem is resolved, append -O0 to CFLAGS on
    amd64 via DEB_CFLAGS_MAINT_APPEND (switching from DEB_MAINT_APPEND),
    moving us back to the optimization level we had in 2.0.11+1-9.
    Thanks to James Cowgill <jcowgill@debian.org> for reporting the
    problem, and Andreas Metzler <ametzler@bebt.de> for the
    workaround. (Closes: 809608)

  * Fix architecture independent builds i.e. dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@debian.org> for reporting the
    problem.  (Closes: 806042)

  * Add guile-2.0:native dependency for <cross> builds.  Thanks to
    Helmut Grohne <helmut@subdivi.de> for the fix. (Closes: 809732)

  * Check the exit status of all shell calls in rules.

  * Compute alt priority in rules.

  * Use debian/autogen.sed to generate debian/ files.  Create
    debian/autogen.sed and use it to generate the relevant debian/ files
    instead of perl and a make function.  That simplifies the quoting,
    and makes it easy to see the replacements.

  * Ensure DEBIAN files are ready for dh_installdeb.  Create a list of
    autogen_installdeb_files and have override_dh_installdeb depend on
    it.

  * Handle info pages via update-alternatives.  Install the unmodified
    info pages to /usr/share/info/guile-2.0/ and register them in
    /usr/share/info/ via update-alternatives.  See
    debian/guile-doc.README for more information.

  * Symlink guile and guile-2.0 to lib/.../bin/guile.  This avoids
    having a duplicate binary (bin/guile-2.0 vs the executable in lib)

