## guile-2.2 2.2.3%2B1

=== debian/changelog ===
guile-2.2 (2.2.3+1-3ubuntu0.1) bionic; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 17 Jul 2018 15:42:59 +0200

guile-2.2 (2.2.3+1-3build1) bionic; urgency=medium

  * Rebuild against new libunistring 0.9.9.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Mar 2018 09:23:21 +0100

guile-2.2 (2.2.3+1-3) unstable; urgency=medium

  * Disable more of test-out-of-memory since it's still failing.  It's
    still failing on at least arm64.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Feb 2018 23:52:49 -0600

guile-2.2 (2.2.3+1-2) unstable; urgency=medium

  * Disable sandbox.test "1e6 alloc loop" "allocation limit" test.  Add
    0003-Disable-sandbox.test-1e6-alloc-loop-allocation-limit.patch to
    disable a test that appears to be causing the test suite to to hang.

  * Disable intermittently failing test-out-of-memory case.  After
    consultation with upstream, add
    0004-Disable-intermittently-failing-test-out-of-memory-te.patch to
    disable a case in test-out-of-memory that was causing a FTBS on some
    architectures.  Thanks to Aaron M. Ucko for reporting the
    problem. (Closes: 880148)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 21 Feb 2018 00:21:32 -0600

guile-2.2 (2.2.3+1-1) unstable; urgency=medium

  * Merge upstream version 2.2.3

  * debian/rules: disable -fstack-protector-strong to avoid test crash.
    Without this, test-out-of-memory fails on at least
    unstable/amd64/gcc-7 (cf. https://debbugs.gnu.org/29464).

  * debian/rules: stop forcing -O0 on amd64.  The underlying issue may
    have been resolved.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 29 Dec 2017 00:31:12 -0600
