## guile-2.2 2.2.3+1

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: guile-2.2
 Section: interpreters
 Priority: optional
-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
  guile-2.2:native <cross>,
  libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
