=== debian/rules ===
--- 
+++ 
@@ -87,12 +87,8 @@
   -DPACKAGE_PACKAGER_VERSION='"$(upstream_ver)-deb+$(deb_src_src_rev)-$(deb_src_rev)"' \
   -DPACKAGE_PACKAGER_BUG_REPORTS='"http://www.debian.org/Bugs/Reporting"'
 
-# Until #809608 is resolved (-O2 caused gnutls failures).
-deb_host_arch := $(shell dpkg-architecture -qDEB_HOST_ARCH; $(rc))
-deb_host_arch := $(call shout,$(deb_host_arch),dpkg-architecture failed)
-ifeq ($(deb_host_arch),amd64)
-  export DEB_CFLAGS_MAINT_APPEND += -O0
-endif
+# https://debbugs.gnu.org/29464
+export DEB_CFLAGS_MAINT_APPEND += -fno-stack-protector
 
 define checkdir
   dh_testdir debian/guile.postinst
@@ -208,3 +204,10 @@
 	  doc/ref/guile.info-7 \
 	  doc/ref/guile.info-8 \
 	  doc/ref/guile.info-9 \
+	  doc/ref/stamp-vti \
+	  doc/ref/version.texi \
+	  filesys-test-link.tmp \
+	  guile-procedures.txt \
+	  libguile/c-tokenize.c \
+	  libguile/cpp-E.c \
+	  libguile/cpp-SIG.c \
