## guile-2.2 2.2.4+1

=== debian/changelog ===
guile-2.2 (2.2.4+1-2) unstable; urgency=medium

  * Backport upstream fix for after-gc-hook test failures.  Replace
    0006-gc.test-after-gc-hook-mark-unresolved-on-failure-for.patch that
    marked the failure as unresolved on mips(el) (a failure which has been
    seen since on at least sparc64 and amd64) with
    0006-Fix-gc.test-after-gc-hook-gets-called-failures.patch which
    addresses the underlying problem. (Closes: 900652)

  * Handle guile-config/guile-snarf/guild as alternatives.  Arrange for
    guile-config, guile-snarf, guild (and guile-tools) to be handled via
    update-alternatives with all of the other tools dependent on
    guile-config.  Configure with "--program-suffix -2.2" which gives the
    binaries the correct names from the start, so that we don't have to
    manually change them in debian/rules.  This also arranges for
    guile-config, etc. to refer to the versioned guile in their #! lines,
    which is what we should have been doing all along.

    Thanks to Ahmed El-Mahmoudy and Norbert Preining for reporting the
    problem, Kari Pahula and Vagrant Cascadian for help devising the fix,
    and Thibaut Paumard for help testing. (Closes: 926182)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 02 Jun 2019 11:17:15 -0500

guile-2.2 (2.2.4+1-1) unstable; urgency=medium

  * Upgrade to 2.2.4.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 28 Jul 2018 15:10:51 -0500

guile-2.2 (2.2.3+1-6) unstable; urgency=medium

  * Don't fail the build if the after-gc-hook test fails on mips(el).
    Add 0011-gc.test-after-gc-hook-mark-unresolved-on-failure-for.patch
    to resolve the issue. (Closes: 900652)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 21 Jul 2018 14:34:22 -0500

guile-2.2 (2.2.3+1-5) unstable; urgency=medium

  * Fix cross-commpilation failures.  Add four upstream patches to fix
    cross-compilation failures on a number of architectures:
      0007-load-thunk-from-memory-reports-the-correct-error.patch
      0008-Fix-error-reporting-in-load-thunk-from-memory.patch
      0009-compile-Load-language-modules-upfront.patch
      0010-elisp-Fix-cross-compilation-support.patch
    Thanks to Helmut Grohne for reporting the problem and helping me to
    reproduce it locally, and to Mark H Weaver for providing the solution.
    (Closes: 900203)

  * Make guile-libs' lintian overrides file arch independent.  Replace
    @MARCH@ with * for now, which is likely fine.  i.e. any file in
    /usr/lib/*guile/...*.go should be a guile compiled code.  Thanks to
    Francois Gouget for reporting the problem. (Closes: 897325)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 Jun 2018 10:30:14 -0500

guile-2.2 (2.2.3+1-4) unstable; urgency=medium

  * i18n.test: accommodate formatting changes in glibc 2.27.  Add
    0006-i18n.test-accommodate-formatting-changes-in-glibc-2..patch to
    look for a non-breaking space (\xa0) rather than an ASCII space as
    the thousands separator for the French locale. (Closes: 896582)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 21 May 2018 13:56:50 -0500
