=== debian/rules ===
--- 
+++ 
@@ -137,6 +137,8 @@
 autogen_installdeb_files := $(addprefix debian/, \
   guile-$(deb_src_eff_ver).postinst \
   guile-$(deb_src_eff_ver).prerm \
+  guile-$(deb_src_eff_ver)-dev.postinst \
+  guile-$(deb_src_eff_ver)-dev.prerm \
   guile-$(deb_src_eff_ver)-doc.postinst \
   guile-$(deb_src_eff_ver)-doc.prerm \
   guile-$(deb_src_eff_ver)-libs.postinst \
@@ -173,7 +175,8 @@
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-error-on-warning --disable-rpath
+	dh_auto_configure -- --disable-error-on-warning --disable-rpath \
+	  --program-suffix "-$(deb_src_eff_ver)"
 
 override_dh_auto_clean:
         # If Makefile doesn't exist GNUmakefile will abort on distclean.
@@ -207,7 +210,3 @@
 	  doc/ref/stamp-vti \
 	  doc/ref/version.texi \
 	  filesys-test-link.tmp \
-	  guile-procedures.txt \
-	  libguile/c-tokenize.c \
-	  libguile/cpp-E.c \
-	  libguile/cpp-SIG.c \
