## guile-2.2 2.2.6+1

=== debian/changelog ===
guile-2.2 (2.2.6+1-1) unstable; urgency=medium

  * Upgrade to 2.2.6. (Closes: 935256)

  * Change the /usr/share/slib trigger to interest-noawait.  From Julian
    Andres Klode's bug report:

      slib does not Depend on guile-libs, and I don't think it makes
      sense to add a Depends, so the trigger should be
      interest-noawait. (Triggering packages must Depend on the
      packages they are triggering otherwise ordering can be wrong,
      and installation can break).

      Now, there's also no point to not configure slib until
      guile-libs is triggered. It's enough to use noawait and thus
      only put guile-libs in the triggers-pending state, and it will
      be configured at the end of the apt run.

      Assuming a package wants to use guile with slib in its postinst,
      the package will need to Depend on both of them anyway, and that
      ensures proper ordering.

    Thanks to Julian Andres Klode for reporting the problem and Sebastien
    Bacher for providing the patch that Gianfranco Costamagna had already
    created. (Closes: #903907)

  * Don't fail the build if the after-gc-hook test fails.  Previously this
    was done for mips and mipsel.  Then a potential fix was added
    upstream, but the test has begun failing again on at least amd64, so
    for now, ignore it again.  Add
    0006-gc.test-after-gc-hook-mark-unresolved-on-failure-eve.patch to
    prevent the failure.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 Sep 2019 21:35:20 -0500

guile-2.2 (2.2.4+1-3) unstable; urgency=medium

  * Switch to dh_missing and ignore guile-X.Y for binary-indep.  Thanks to
    Santiago Vila for reporting the problem. (Closes: 930774)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 27 Jun 2019 00:10:54 -0500
