## guile-2.2 2.2.7%2B1

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,16 @@
 Section: interpreters
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
-Build-Depends: libtool, debhelper (>= 9), autoconf, automake, dh-autoreconf,
+XSBC-Original-Maintainer: Anthony Fok <foka@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+ libtool, autoconf, automake,
  guile-2.2:native <cross>,
- libncurses5-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
- libunistring-dev, libgc-dev, libffi-dev, pkg-config
-Standards-Version: 3.7.2
+ libncurses-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
+ libunistring-dev, libgc-dev (>= 1:8), libffi-dev, pkg-config
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/debian/guile-2.2
+Vcs-Git: https://salsa.debian.org/debian/guile-2.2.git
 Homepage: http://www.gnu.org/software/guile/
 
 Package: guile-2.2
@@ -28,11 +32,11 @@
 Package: guile-2.2-dev
 Section: lisp
 Architecture: any
-Provides: libguile-dev
-Conflicts: libguile-dev
+Provides: libguile-dev (= ${binary:Version})
+Conflicts: guile-1.8, libguile-dev (<< 2.2.7+1-4), guile-3.0-dev (<< 3.0.1+1-2)
 Depends: ${shlibs:Depends}, guile-2.2:any (= ${binary:Version}),
  guile-2.2-libs (= ${binary:Version}), libc6-dev,
- libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
+ libncurses-dev, libreadline6-dev, libltdl-dev, libgmp-dev, libgc-dev,
  pkg-config, ${misc:Depends}
 Description: Development files for Guile 2.2
  This package contains files needed for development using Guile 2.2.
