## guile-2.2 2.2.7+1

=== debian/changelog ===
guile-2.2 (2.2.7+1-8) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 26 Jan 2023 21:49:41 -0700

guile-2.2 (2.2.7+1-7) unstable; urgency=medium

  * Adopt package as guile-2.2 is needed by lilypond 2.24.0
    released on December 15, 2022; see #1026200
  * debian/gbp.conf: Set debian-branch to "debian/sid"
  * Add Vcs-Browser and Vcs-Git fields for upload to Salsa
  * Add "Rules-Requires-Root: no" to debian/control
  * Bump Standards-Version to 4.6.1 (no change)
  * {Build-,}Depends on libncurses-dev instead of libncurses5-dev.
    This fixes Lintian depends-on-obsolete-package error
    and build-depends-on-obsolete-package warning.
  * Fix Lintian debian-rules-ignores-make-clean-error warning
  * Bump debhelper build-dependency to debhelper-compat (= 13)
  * Avoid dh_missing --fail-missing error with debhelper compat 13
    by adding to debian/not-installed
      usr/lib/${DEB_HOST_MULTIARCH}/guile/2.2/extensions/guile-readline.a
      usr/lib/${DEB_HOST_MULTIARCH}/guile/2.2/extensions/guile-readline.la
  * Add override_dh_dwz to avoid "dwz: Section overlap detected" errors.
    dwz reports "DWARF compression not beneficial" on the *.go Guile object
    files anyway, so there is no need to run dh_dwz on them.
    See also #1016563

 -- Anthony Fok <foka@debian.org>  Wed, 18 Jan 2023 14:52:28 -0700

guile-2.2 (2.2.7+1-6) unstable; urgency=medium

  * Mark test-out-of-memory as an expected failure for now.  Since this
    test has been failing for a long time on various architectures, mark
    it as expected to fail for now so that we'll still run it and can see
    the results, but won't be blocked by it.  There are known issues with
    the test upstream, and at least in some past cases it's been possible
    to reproduce the failure quickly by running
    test-suite/standalone/test-out-of-memory in a loop.

    Add 0005-Mark-test-out-of-memory-as-an-expected-failure-for-n.patch to
    incorporate the change. (Closes: 966301)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 18 Jun 2021 13:13:51 -0500

guile-2.2 (2.2.7+1-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "invalid syntax in conditional" error in debian/rules.
  * Ignore test failures on hurd-i386 kfreebsd-* powerpc sparc64.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Oct 2020 22:43:06 +0100

guile-2.2 (2.2.7+1-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Also ignore test results on i386, failing numbers.test. See #968403.
  * Also ignore the test results on armhf (OOM related failures). See #966301.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 20:03:59 +0200

guile-2.2 (2.2.7+1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ignore the test results on ppc64el (OOM related failures). See #966301.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 11:34:36 +0200

guile-2.2 (2.2.7+1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with make 4.3. Closes: #961230.
  * Build using libgc-dev 8.0.4.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jul 2020 10:27:11 +0200

guile-2.2 (2.2.7+1-5) unstable; urgency=medium

  * debian/rules: exclude guile.m4 from arch all package install.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 15 Apr 2020 19:43:10 -0500

guile-2.2 (2.2.7+1-4) unstable; urgency=medium

  * Allow simultaneous installation of newer guile-X.Y-dev packages.
    Handle the one remaining common path /usr/share/aclocal/guile.m4 via
    update-alternatives as guile-autoconf-macros, since the macros it
    includes are explicitly intended to work across versions, and relax
    the package restrictions to allow simultaneous installation of both
    guile-2.2-dev and guile-3.0-dev.

    Have guile-X.Y-dev conflict with guile-1.8 to handle its 1:1.4-24
    libguile-dev conflict.  Apparently we had an epoch and then perhaps
    dropped it when we went to versioned packages (whether we should have
    or not).  In any case, that's old enough that it should be safe to
    ignore it given this accommodation.  Also conflict with guile-3.0-dev
    versions before it was adjusted in a similar fashion.

    Version the libguile-dev virtual package provision.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 10 Apr 2020 19:59:15 -0500

guile-2.2 (2.2.7+1-3) unstable; urgency=medium

  * Don't allow simultaneous installation of newer guile-X.Y-dev packages.
    Not yet.  This was included in the history and the 2.2.7+1-2 packages
    by mistake.

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 20 Mar 2020 00:36:21 -0500

guile-2.2 (2.2.7+1-2) unstable; urgency=medium

  * debian/rules: add build progress watchdog for slower architectures.
    Print "still going" every 10 minutes during the build so that builds
    on mipsel, armel, etc. won't incorrectly time out.  Guile currently
    compiles some of the initial bootstrapping files for a very long time
    with no output.

    Impose a hard 10 hour limit on the build in case it really is stuck,
    which is a bit more than the longest time noticed in the current
    buildd logs.  If necessary, we could rework the whole process to take
    the architecture's expected performance into account.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Mar 2020 18:09:47 -0500

guile-2.2 (2.2.7+1-1) unstable; urgency=medium

  * Merge upstream version 2.2.7.

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 19 Mar 2020 08:35:50 -0500

guile-2.2 (2.2.6+1-2) unstable; urgency=medium

  * Allow simultaneous installation of newer guile-X.Y-dev packages.
    Handle the one remaining common path /usr/share/aclocal/guile.m4 via
    update-alternatives as guile-autoconf-macros, since the macros it
    includes are explicitly intended to work across versions, and relax
    the package restrictions to allow simultaneous installation of both
    guile-2.2-dev and guile-3.0-dev.

    Have guile-X.Y-dev conflict with guile-1.8 to handle its 1:1.4-24

