=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: guile-2.2
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anthony Fok <foka@debian.org>
+Maintainer: Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
- libtool, autoconf, automake,
+ libtool, autoconf, automake, dh-autoreconf,
  guile-2.2:native <cross>,
  libncurses-dev, libreadline-dev, libltdl-dev, libgmp-dev, texinfo, flex,
  libunistring-dev, libgc-dev (>= 1:8), libffi-dev, pkg-config
