=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,11 @@
 # Keep this in sync with guile-doc.install
 expected_info := guile.info $(foreach n,1 2 3 4 5 6 7 8 9 10,guile.info-$(n))
 
+joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(joblimit))
+  joblimit := 1
+endif
+
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE := 1
 
@@ -61,9 +66,10 @@
 deb_pkg_basename := guile-$(deb_src_eff_ver)
 deb_guile_bin_path := /usr/bin/guile-$(deb_src_eff_ver)
 
-ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${\#x}" -lt 4 ] && echo ok;))
-  $(error ERROR: alternatives priority expects min version < 1000)
-endif
+# this raises "invalid syntax in conditional", disable -- myon 2020-10-31
+#ifneq (ok,$(shell x='$(deb_src_min_ver)';  [ "$${#x}" -lt 4 ] && echo ok;))
+#  $(error ERROR: alternatives priority expects min version < 1000)
+#endif
 
 # Up to and including some releases of 2.0.11, this was (incorrectly)
 # majminmic (i.e. 2011 for 2.0.11), so stick with something compatible
@@ -178,35 +184,22 @@
 	dh_auto_configure -- --disable-error-on-warning --disable-rpath \
 	  --program-suffix "-$(deb_src_eff_ver)"
 
+# Because some of the bootstrapping files compile for a very long time
+# with no output, the buildds don't have per-package limits, and we
+# don't want to raise the global limit that high for the slower
+# architectures.
+override_dh_auto_build:
+	timeout 10h bash \
+	  -c 'while true; do echo "still going" 1>&2; sleep 600; done' & \
+	trap "kill $$!" EXIT \
+	&& $(MAKE) -j "$(joblimit)"
+
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386 powerpc ppc64el sparc64))
+	-dh_auto_test
+else
+	dh_auto_test
+endif
+
 override_dh_auto_clean:
-        # If Makefile doesn't exist GNUmakefile will abort on distclean.
-	if test -e Makefile; then make distclean; fi
-
-override_dh_clean:
-	-$(MAKE) -C prebuilt clean
-	dh_clean $(autogen_install_files) $(autogen_installdeb_files) \
-	  .tarball-version \
-	  .version \
-	  blarg-clean \
-	  bootstrap/ice-9/ \
-	  bootstrap/language/ \
-	  bootstrap/srfi/ \
-	  bootstrap/system/ \
-	  debian/autogen.sed \
-	  doc/r5rs/r5rs.info \
-	  doc/ref/autoconf-macros.texi \
-	  doc/ref/effective-version.texi \
-	  doc/ref/guile.info \
-	  doc/ref/guile.info-1 \
-	  doc/ref/guile.info-10 \
-	  doc/ref/guile.info-2 \
-	  doc/ref/guile.info-3 \
-	  doc/ref/guile.info-4 \
-	  doc/ref/guile.info-5 \
-	  doc/ref/guile.info-6 \
-	  doc/ref/guile.info-7 \
-	  doc/ref/guile.info-8 \
-	  doc/ref/guile.info-9 \
-	  doc/ref/stamp-vti \
-	  doc/ref/version.texi \
-	  filesys-test-link.tmp \
+	# If Makefile doesn't exist GNUmakefile will abort on distclean.
